Class | Bio::TRANSFAC::SITE
In: | lib/bio/db/transfac.rb
Parent: | TRANSFAC

### Methods

bf de dr el mm new re s1 sf so sq st ty

### Public Class methods

new(entry)

[Source]

         # File lib/bio/db/transfac.rb, line 141
    141:     def initialize(entry)
    142:       super(entry)
    143:     end

### Public Instance methods

bf()

[Source]

         # File lib/bio/db/transfac.rb, line 177
    177:     def bf
    178:       field_fetch('BF')
    179:     end

de()

[Source]

         # File lib/bio/db/transfac.rb, line 149
    149:     def de
    150:       field_fetch('DE')
    151:     end

dr()

DR Cross-references to other databases (>=0 per entry)

[Source]

         # File lib/bio/db/transfac.rb, line 190
    190:     def dr
    191:       field_fetch('DR')
    192:     end

el()

[Source]

         # File lib/bio/db/transfac.rb, line 161
    161:     def el
    162:       field_fetch('EL')
    163:     end

mm()

[Source]

         # File lib/bio/db/transfac.rb, line 185
    185:     def mm
    186:       field_fetch('MM')
    187:     end

re()

[Source]

         # File lib/bio/db/transfac.rb, line 153
    153:     def re
    154:       field_fetch('RE')
    155:     end

s1()

[Source]

         # File lib/bio/db/transfac.rb, line 173
    173:     def s1
    174:       field_fetch('S1')
    175:     end

sf()

[Source]

         # File lib/bio/db/transfac.rb, line 165
    165:     def sf
    166:       field_fetch('SF')
    167:     end

so()

[Source]

         # File lib/bio/db/transfac.rb, line 181
    181:     def so
    182:       field_fetch('SO')
    183:     end

sq()

[Source]

         # File lib/bio/db/transfac.rb, line 157
    157:     def sq
    158:       field_fetch('SQ')
    159:     end

st()

[Source]

         # File lib/bio/db/transfac.rb, line 169
    169:     def st
    170:       field_fetch('ST')
    171:     end

ty()

[Source]

         # File lib/bio/db/transfac.rb, line 145
    145:     def ty
    146:       field_fetch('TY')
    147:     end

[Validate]